Package org.apache.catalina.tribes.transport

## Class AbstractRxTask

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractRxTask

All Implemented Interfaces:
  `java.lang.Runnable`

Direct Known Subclasses:
  `BioReplicationTask`, `NioReplicationTask`

    public abstract class AbstractRxTask
    extends java.lang.Object
    implements java.lang.Runnable

### Field Summary

Fields
`static int` `OPTION_DIRECT_BUFFER`
`protected boolean` `useBufferPool`

### Constructor Summary

Constructors
`AbstractRxTask​(ListenCallback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()`
`ListenCallback` `getCallback()`
`int` `getOptions()`
`RxTaskPool` `getTaskPool()`
`boolean` `getUseBufferPool()`
`boolean` `isDoRun()` Deprecated. Will be removed in Tomcat 10
`void` `setCallback​(ListenCallback callback)`
`void` `setDoRun​(boolean doRun)` Deprecated. Will be removed in Tomcat 10
`void` `setOptions​(int options)`
`void` `setTaskPool​(RxTaskPool pool)`
`void` `setUseBufferPool​(boolean usebufpool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Field Detail

#### OPTION_DIRECT_BUFFER

    public static final int OPTION_DIRECT_BUFFER

See Also:
  Constant Field Values

#### useBufferPool

    protected boolean useBufferPool

### Constructor Detail

#### AbstractRxTask

    public AbstractRxTask​(ListenCallback callback)

### Method Detail

#### setTaskPool

    public void setTaskPool​(RxTaskPool pool)

#### setOptions

    public void setOptions​(int options)

#### setCallback

    public void setCallback​(ListenCallback callback)

#### setDoRun

    @Deprecated
    public void setDoRun​(boolean doRun)

Deprecated.
Will be removed in Tomcat 10
Sets doRun field which is unused.

Parameters:
  `doRun` - New value

#### getTaskPool

    public RxTaskPool getTaskPool()

#### getOptions

    public int getOptions()

#### getCallback

    public ListenCallback getCallback()

#### isDoRun

    @Deprecated
    public boolean isDoRun()

Deprecated.
Will be removed in Tomcat 10
Gets doRun field which is unused.

Returns:
  Current field value

#### close

    public void close()

#### setUseBufferPool

    public void setUseBufferPool​(boolean usebufpool)

#### getUseBufferPool

    public boolean getUseBufferPool()